GDCM: gdcm::ImageReader Class Reference

GDCM 3.2.10

Public Member Functions | Protected Member Functions | List of all members
gdcm::ImageReader Class Reference

ImageReader. More...

`#include <gdcmImageReader.h>`

Inheritance diagram for gdcm::ImageReader:
[legend]
Collaboration diagram for gdcm::ImageReader:
[legend]

## Public Member Functions
| ImageReader ()
| ~ImageReader () override
Image & | GetImage ()
const Image & | GetImage () const
| Return the read image.
bool | Read () override
Public Member Functions inherited from gdcm::PixmapReader
| PixmapReader ()
| ~PixmapReader () override
Pixmap & | GetPixmap ()
const Pixmap & | GetPixmap () const
| Return the read image (need to call Read() first).
bool | Read () override
Public Member Functions inherited from gdcm::Reader
| Reader ()
virtual | ~Reader ()
bool | CanRead () const
File & | GetFile ()
| Set/Get File.
const File & | GetFile () const
| Set/Get File.
size_t | GetStreamCurrentPosition () const
bool | ReadSelectedPrivateTags (std::set< PrivateTag > const &ptags, bool readvalues=true)
| Will only read the specified selected private tags.
bool | ReadSelectedTags (std::set< Tag > const &tags, bool readvalues=true)
| Will only read the specified selected tags.
bool | ReadUpToTag (const Tag &tag, std::set< Tag > const &skiptags=std::set< Tag >())
void | SetFile (File &file)
| Set/Get File.
void | SetFileName (const char *filename_native)
void | SetStream (std::istream &input_stream)
| Set the open-ed stream directly.

## Protected Member Functions
bool | ReadACRNEMAImage () override
bool | ReadImage (MediaStorage const &ms) override
Protected Member Functions inherited from gdcm::PixmapReader
bool | ReadImageInternal (MediaStorage const &ms, bool handlepixeldata=true)
Protected Member Functions inherited from gdcm::Reader
std::istream * | GetStreamPtr () const
bool | ReadDataSet ()
bool | ReadMetaInformation ()
bool | ReadPreamble ()

## Additional Inherited Members
Protected Attributes inherited from gdcm::PixmapReader
SmartPointer< Pixmap > | PixelData
Protected Attributes inherited from gdcm::Reader
SmartPointer< File > | F

## Detailed Description

ImageReader.

Note
  its role is to convert the DICOM DataSet into a Image representation Image is different from Pixmap has it has a position and a direction in Space.

See also
  Image

Examples
  BasicImageAnonymizer.cs, CheckBigEndianBug.cxx, CompressImage.cxx, CompressLossyJPEG.cs, ConvertToQImage.cxx, DecompressImage.cs, ExplicitLittleEndian.cs, ExtractIconFromFile.cxx, FixBrokenJ2K.cxx, FixJAIBugJPEGLS.cxx, GetArray.cs, GetJPEGSamplePrecision.cxx, HelloVizWorld.cxx, MergeTwoFiles.cxx, MpegVideoInfo.cs, MrProtocol.cxx, PatchFile.cxx, PrintLUT.cxx, ReadMultiTimesException.cxx, RescaleImage.cs, and threadgdcm.cxx.

## Constructor & Destructor Documentation

## ◆ ImageReader()

gdcm::ImageReader::ImageReader | ( |  | ) |

## ◆ ~ImageReader()

gdcm::ImageReader::~ImageReader | ( |  | ) |
| override

## Member Function Documentation

## ◆ GetImage() [1/2]

Image & gdcm::ImageReader::GetImage | ( |  | ) |

## ◆ GetImage() [2/2]

const Image & gdcm::ImageReader::GetImage | ( |  | ) | const

Return the read image.

Examples
  BasicImageAnonymizer.cs, CompressImage.cxx, CompressLossyJPEG.cs, ConvertToQImage.cxx, DecompressImage.cs, ExplicitLittleEndian.cs, ExtractIconFromFile.cxx, ExtractImageRegionWithLUT.cs, FixJAIBugJPEGLS.cxx, GetArray.cs, GetJPEGSamplePrecision.cxx, HelloVizWorld.cxx, MergeTwoFiles.cxx, MpegVideoInfo.cs, PatchFile.cxx, PrintLUT.cxx, ReadMultiTimesException.cxx, RescaleImage.cs, TemplateEmptyImage.cxx, and threadgdcm.cxx.

## ◆ Read()

bool gdcm::ImageReader::Read | ( |  | ) |
| overridevirtual

Read the DICOM image. There are two reason for failure:

1. The input filename is not DICOM
2. The input DICOM file does not contains an Image.

Reimplemented from gdcm::Reader.

Reimplemented in gdcm::ImageRegionReader.

Examples
  BasicImageAnonymizer.cs, CheckBigEndianBug.cxx, CompressImage.cxx, CompressLossyJPEG.cs, ConvertToQImage.cxx, DecompressImage.cs, ExplicitLittleEndian.cs, ExtractIconFromFile.cxx, FixBrokenJ2K.cxx, FixJAIBugJPEGLS.cxx, GetArray.cs, GetJPEGSamplePrecision.cxx, HelloVizWorld.cxx, MergeTwoFiles.cxx, MrProtocol.cxx, PatchFile.cxx, PrintLUT.cxx, ReadMultiTimesException.cxx, RescaleImage.cs, and threadgdcm.cxx.

## ◆ ReadACRNEMAImage()

bool gdcm::ImageReader::ReadACRNEMAImage | ( |  | ) |
| overrideprotectedvirtual

Reimplemented from gdcm::PixmapReader.

## ◆ ReadImage()

bool gdcm::ImageReader::ReadImage | ( | MediaStorage const & | ms | ) |
| overrideprotectedvirtual

Reimplemented from gdcm::PixmapReader.

The documentation for this class was generated from the following file:

- gdcmImageReader.h